/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontractinfo.entity;

import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.utils.UserUtils;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 合同管理Entity
 * @author 丁旭
 * @version 2017-03-21
 */
public class WorkContractData extends ActEntity<WorkContractData> {

	private static final long serialVersionUID = 1L;

	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign;
	}

	private String sign;
	private String name;//分公司
	private int contractCount;//合同数量
	private int projectCount;//项目数量
	private int reportCount;//报告数量
	private BigDecimal invoiceMoney;//开票金额
	private BigDecimal incomeMoney;//收款金额
	private BigDecimal reimbursementMoney;//报销金额
	private String invoiceMoneyStr;//开票金额
	private String incomeMoneyStr;//收款金额
	private String reimbursementMoneyStr;//报销金额
	private String companyId;
	private Date beginDate;
	private Date endDate;
	private int type;


	@ExcelField(title = "分公司", align = 2, sort = 1)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@ExcelField(title="合同数量", align=2, sort=2)
	public int getContractCount() {
		return contractCount;
	}

	public void setContractCount(int contractCount) {
		this.contractCount = contractCount;
	}

	@ExcelField(title = "项目数量", align = 2, sort = 3)
	public int getProjectCount() {
		return projectCount;
	}

	public void setProjectCount(int projectCount) {
		this.projectCount = projectCount;
	}

	@ExcelField(title = "报告数量", align = 2, sort = 4)
	public int getReportCount() {
		return reportCount;
	}

	public void setReportCount(int reportCount) {
		this.reportCount = reportCount;
	}

	public BigDecimal getInvoiceMoney() {
		return invoiceMoney;
	}
	@ExcelField(title = "开票金额", align = 2, sort = 5)
	public String getInvoiceMoneyStr() {
		return UserUtils.getDecimalFormat(this.invoiceMoney);
	}
	@ExcelField(title = "收款金额", align = 2, sort = 6)
	public String getIncomeMoneyStr() {
		return UserUtils.getDecimalFormat(this.incomeMoney);
	}
	@ExcelField(title = "报销金额", align = 2, sort = 7)
	public String getReimbursementMoneyStr() {
		return UserUtils.getDecimalFormat(this.reimbursementMoney);
	}

	public void setInvoiceMoney(BigDecimal invoiceMoney) {
		this.invoiceMoney = invoiceMoney;
	}

	public BigDecimal getIncomeMoney() {
		return incomeMoney;
	}

	public void setIncomeMoney(BigDecimal incomeMoney) {
		this.incomeMoney = incomeMoney;
	}

	public BigDecimal getReimbursementMoney() {
		return reimbursementMoney;
	}

	public void setReimbursementMoney(BigDecimal reimbursementMoney) {
		this.reimbursementMoney = reimbursementMoney;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}
}